unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  EditBtn, VpDayView, VpXmlDS, VpBaseDS, VpData, VpResEditDlg;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Panel1: TPanel;
    VpControlLink1: TVpControlLink;
    VpDayView1: TVpDayView;
    VpResourceCombo1: TVpResourceCombo;
    VpResourceEditDialog1: TVpResourceEditDialog;
    VpXmlDatastore1: TVpXmlDatastore;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public
    procedure CreateResourceGroup;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  VpXmlDatastore1.FileName:='DATA.XML';
  VpXmlDatastore1.Connected:=true;
  if VpXmlDatastore1.Resources.Count>0 then
    VpXmlDatastore1.Resource := VpXmlDatastore1.Resources.Items[0];

  //CreateResourceGroup;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  VpResourceEditDialog1.AddNewResource;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
//How to switch to "overlay mode"
//???  VpXMLDatastore1.Resource.ResourceID := VpControlLink1.DataStore.resourcegroup ;// .Resources..Group.;
 // VpDayView1.
  //VpDayView1.  VpControlLink1.Group :=  .DataStore.resourcegroup
  CreateResourceGroup;

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  VpResourceEditDialog1.Execute;
end;

procedure TForm1.CreateResourceGroup;
const
  NAME_OF_GROUP = '';
  PARENT_ID = 1;
  OVERLAYED_ID= 2;
var
  Datastore : TVpCustomDatastore;
  grp: TVpResourceGroup;
begin
  Datastore := VpControlLink1.DataStore;
  grp := Datastore.Resources.AddResourceGroup([PARENT_ID, OVERLAYED_ID], NAME_OF_GROUP);

  //datastore.Resource. TVpOverlayDetails

  grp.ReadOnly:=True;
  grp.Pattern := opDiagCross;
  if DataStore.Resource<>nil then
    Datastore.Resource.Group:= grp else ;
    //Datastore.Resource.Group := nil  ;
  Datastore.RefreshEvents;
end;

end.

